#import "DWText.h"


@implementation DWText

    + (id) verySmallTextAttributes; {
        static id attributes = nil;
        if (!attributes) {
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont systemFontOfSize: 10], NSFontAttributeName, [NSColor blackColor], NSForegroundColorAttributeName, nil];
        }
        return attributes;
    }

    + (id) verySmallGrayTextAttributes; {
        static id attributes = nil;
        if (!attributes) {
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont systemFontOfSize: 10], NSFontAttributeName, [NSColor grayColor], NSForegroundColorAttributeName, nil];
        }
        return attributes;
    }

    + (id) verySmallBoldGrayTextAttributes; {
        static id attributes = nil;
        if (!attributes) {
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont boldSystemFontOfSize: 10], NSFontAttributeName, [NSColor grayColor], NSForegroundColorAttributeName, nil];
        }
        return attributes;
    }

    + (id) smallTextAttributes; {
        static id attributes = nil;
        if (!attributes) {
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont systemFontOfSize: 11], NSFontAttributeName, [NSColor blackColor], NSForegroundColorAttributeName, nil];
        }
        return attributes;
    }

    + (id) smallBoldTextAttributes; {
        static id attributes = nil;
        if (!attributes) {
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont boldSystemFontOfSize: 11], NSFontAttributeName, [NSColor blackColor], NSForegroundColorAttributeName, nil];
        }
        return attributes;
    }

    + (id) normalAttributes; {
        static id attributes = nil;
        if (!attributes)
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont systemFontOfSize: 12], NSFontAttributeName, [NSColor blackColor], NSForegroundColorAttributeName, nil];
        return attributes;
    }
    
    + (id) normalGrayAttributes; {
        static id attributes = nil;
        if (!attributes)
            attributes = [[NSDictionary alloc] initWithObjectsAndKeys: [NSFont systemFontOfSize: 11], NSFontAttributeName, [NSColor grayColor], NSForegroundColorAttributeName, nil];
        return attributes;
    }

@end